package com.datacloudsec.utils;

import com.google.zxing.BinaryBitmap;
import com.google.zxing.DecodeHintType;
import com.google.zxing.MultiFormatReader;
import com.google.zxing.client.j2se.BufferedImageLuminanceSource;
import com.google.zxing.common.HybridBinarizer;
import java.awt.image.BufferedImage;
import java.io.File;
import java.util.Hashtable;
import javax.imageio.ImageIO;

public class GraphicCodeUtil {

   public static String read(File file) throws Exception {
      BufferedImage image = ImageIO.read(file);
      BufferedImageLuminanceSource source = new BufferedImageLuminanceSource(image);
      BinaryBitmap bitmap = new BinaryBitmap(new HybridBinarizer(source));
      Hashtable hints = new Hashtable();
      hints.put(DecodeHintType.TRY_HARDER, Boolean.TRUE);
      return (new MultiFormatReader()).decode(bitmap, hints).getText();
   }

   public static void main(String[] args) throws Exception {
      File f1 = new File("d:/erweima.png");
      System.out.println(read(f1));
   }
}
